Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jena
Class rdfparse

    java.lang.Object
      jena.rdfparse

    public class rdfparse

extends java.lang.Object

A command line interface into ARP. Creates NTriple's or just error messages.

     java <class-path> jena.rdfparse ( [ -[xstfu]][ -b xmlBase -[eiw] NNN[,NNN...] ] [ file ] [ url ] )...

     java <class-path> jena.rdfparse --test

     java <class-path> jena.rdfparse --internal-test

The last two forms are for testing. `--test` runs ARP against the RDF Core Working Group tests found at w3.org. `--internal-test` uses a cached copy from within the jena.jar.

All options, files and URLs can be intemingled in any order. They are processed from left-to-right.

file
  Converts (embedded) RDF in XML file into N-triples
url
  Converts (embedded) RDF from URL into N-triples
-b uri
  Sets XML Base to the absolute URI.
-r
  Content is RDF (no embedding, rdf:RDF tag may be omitted).
-t
  No n-triple output, error checking only.
-x
  Lax mode - warnings are suppressed.
-s
  Strict mode - most warnings are errors.
-u
  Allow unqualified attributes (defaults to warning).
-f
  All errors are fatal - report first one only.
-b url
  Sets XML Base to the absolute url.
-e NNN[,NNN...]
  Treats numbered warning conditions as errrors.
-w NNN[,NNN...]
  Treats numbered error conditions as warnings.
-i NNN[,NNN...]
  Ignores numbered error/warning conditions.

Author:
  jjc

Constructor Summary
`rdfparse()`

Method Summary
`static void` | `main(java.lang.String[] args)` Either start an RDF/XML to NTriple converter, or run test suite.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### rdfparse

    public rdfparse()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Either start an RDF/XML to NTriple converter, or run test suite.

  Parameters:
    `args` - The command-line arguments.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP